Subject: Re: [Ksummit-2005-discuss] Summary of 2005 Kernel Summit Proposed Topics

From: Andi Kleen <[email-masked]>
Date: 30 Mar 2005 17:24:29 +0200

> OTOH, even elcheapo pacific rim nics are beginning to show up with some
> classifiers in the hardware as well as multiple queues or rx 
> DMA rings. So you could program ACKs or all TCP packets to show up on a

Yes, but you end up with limits like "only support upto 4 iscsi connections".
which is totally impracticable. The features do not help.

The only feature that might help is an early interrupt where you
first process the packet and then later the payload (like the new
intel accelerator proposes or some chips have), but that would
probably add far too much overhead right now and does not work
on most chips anyways.

-Andi